ScXMLEvent Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
ScXMLEvent Class Reference
State Chart XML Classes

Base class for events sent to SCXML state machines. More...

`#include <Inventor/scxml/ScXMLEvent.h>`

Inheritance diagram for ScXMLEvent:

## Public Member Functions
virtual SoType | getTypeId (void) const
virtual void | setIdentifier (const SbName &identifier)
const SbName & | getIdentifier (void) const
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
void | setXMLAttribute (const char *attribute, const char *value)
const char * | getXMLAttribute (const char *attribute) const
virtual SbBool | handleXMLAttributes (void)
virtual void | setContainer (ScXMLObject *container)
ScXMLObject * | getContainer (void) const
SbBool | isContainedIn (const ScXMLObject *object) const

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void * | createInstance (void)
static void | initClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
static void | initClass (void)

## Protected Attributes
SbName | identifier

## Additional Inherited Members
Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Detailed Description

Base class for events sent to SCXML state machines.

Since
  Coin 3.0

## Member Function Documentation

void ScXMLEvent::setIdentifier | ( | const SbName & | identifierarg | ) |
| virtual

This method is for setting a string that will identifies this particular event, having this particular state, and can be used for event matching in the SCXML descriptions.

The string should, according to spec., be a set of tokens consisting of alphanumeric characters, separated with periods (.). This limitation is not enforced by this implementation.

The documentation for this class was generated from the following files:

- ScXMLEvent.h
- ScXMLEvent.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.